* {
margin: 0;
padding: 0;
box-sizing: border-box;

}
::-webkit-scrollbar {display: none;}
body {
font-family: Arial, sans-serif;
scroll-behavior: smooth;
}
header {
position: relative;
width: 100%;
height: 100vh; 
display: flex;
flex-direction: column;
justify-content: space-between;
background: no-repeat center center;
background-size: cover; 
background-image: url('image_large.webp'); 
}
@media screen and (max-width: 768px) {
header {
    background-image: url('image_small.webp');
}
}.top-bar {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px;
    width: 100%;
    top: 0;
    left: 0;
    background: none;
    z-index: 1000;
}
.top-bar img {
    position: absolute;
    left: 10px;
    max-width: 100%; 
    height: auto; 
    max-height: 150px; 
    width: auto; 
    margin-top: -5px;
    margin-right: 20px;
}
@media (max-width: 768px) {
    .top-bar {
        display: flex;
        flex-direction: column; 
        align-items: center;
        padding-bottom: 50px;
    }

    .top-bar img {
        max-height: 100px;
    }

    .nav-vivo {
        width: 100%;
        text-align: center;
        margin-top: 10px;
    }

    .live-button {
        position: fixed; 
        bottom: 0; 
        left: 0;
        right: 0;
        padding: 8px 15px;
        font-size: 14px;
        text-align: center;
        background-color: #ff6600; 
        color: white; 
        z-index: 1000; 
    }
}
.nav-vivo {
    position: absolute;
    top: 20px;
    margin-top: 20px;
    right: 150px;
    z-index: 1000;
}
.nav-menu {
    position: fixed;
    top: 20px;
    right: 20px;
    z-index: 1000;
    background: none;
    padding: 10px;
}
.nav-menu button {
background-color: #fc6900;
color: white;
border: none;
padding: 10px 15px;
font-size: 18px;
border-radius: 50px;
cursor: pointer;
transition: background-color 0.3s, transform 0.3s;
box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
}
.nav-menu button:hover {
background-color: #e55a00;
}
.menu-links {
display: none;
position: fixed;
top: 60px;
right: 20px;
background-color: #f8f9fa;
list-style: none;
padding: 10px;
border-radius: 8px;
box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
}
.menu-links.active {
display: block;
}
.menu-links li {
border-bottom: 1px solid #ddd;
}
.menu-links li:last-child {
border-bottom: none;
}
.menu-links a {
display: block;
padding: 10px;
color: #333;
text-decoration: none;
transition: background-color 0.3s, color 0.3s;
}
.menu-links a:hover {
background-color: #fc6900;
color: white;
}
.bottom-logos {
display: flex;
justify-content: space-evenly; 
align-items: center;
gap: 40px; 
margin-bottom: 40px;
}
.bottom-logos a {
display: block;
width: 100px;
margin: 0 10px; 
}
.bottom-logos img {
width: auto;
height: 80px; 
transition: transform 0.3s;
}
.bottom-logos img:hover {
transform: scale(1.1);
}
.carousel {
position: relative;
width: 100%;
height: 100vh;
overflow: hidden;
}
.carousel-track {
display: flex;
transition: transform 0.5s ease;
}
.carousel-slide {
min-width: 100%;
height: 100vh;
display: flex;
justify-content: center;
align-items: center;
background-color: #ffffff;
}
.carousel-slide:nth-child(even) {
background-color: #ffffff;
}
.carousel-controls {
position: absolute;
top: 50%;
width: 100%;
display: flex;
justify-content: space-between;
transform: translateY(-50%);

}
.carousel-controls button {
background-color: rgba(0, 0, 0, 0.5);
color: white;
border: none;
padding: 10px;
cursor: pointer;
font-size: 18px;
border-radius: 50%;
transition: background-color 0.3s;

}
.carousel-controls button:hover {
background-color: rgba(0, 0, 0, 0.8);
}
#back-to-top {
    position: fixed;
    bottom: 20px;
    right: 20px;
    background-color: #00aaff;
    color: white;
    border: none;
    padding: 10px 20px;
    border-radius: 50px;
    cursor: pointer;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
    display: none;
    transition: opacity 0.3s;
    }
#back-to-top.show {
display: block;
}
.participants-grid {
    display: flex;
    flex-direction: column;
    gap: 20px;
    max-width: 100%;
    max-height: 90vh; 
    margin: 0 auto;
    padding: 20px;
    overflow-y: auto;
    box-sizing: border-box;
    }
    .first-row {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        justify-items: center; 
        align-items: center;
        justify-content: center; 
        align-content: center; 
        padding: 0; 
        width: 100%; 
      }
      
      .first-row > div {
        width: 70%;
        max-width: 100%;
        margin: 0; 
      }
      
    .rest-of-rows {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 20px;
    }
    @media (max-width: 768px) {
    .first-row, .rest-of-rows {
    display: grid;
    grid-template-columns: repeat(2, minmax(150px, 1fr));
    gap: 20px;
    justify-content: center;
    }
    .first-row > div, 
    .rest-of-rows > div {
    display: flex;
    flex-direction: column;  
    justify-content: flex-start; 
    align-items: center;
    margin: 0;
    text-align: center;
    box-sizing: border-box;
    width: 100%; 
    min-height: 250px;
    padding: 10px;
    overflow: hidden;
    background-color: #fff;
    border-radius: 8px; 
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    }
    .first-row > div img, 
    .rest-of-rows > div img {
    width: 100%;  
    height: 150px; 
    object-fit: cover;
    border-radius: 5px;
    }
    .first-row > div .name, 
    .rest-of-rows > div .name {
    font-size: 16px; 
    font-weight: bold;
    margin-top: 10px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    }
    .first-row > div .flag, 
    .rest-of-rows > div .flag {
    margin-top: 5px;
    width: 30px;
    height: 20px;
    object-fit: contain;
    }
    .first-row > div > * , 
    .rest-of-rows > div > * {
    max-width: 100%;
    box-sizing: border-box;
    }
    }
    .participantes-container {
        display: flex;
        justify-content: center;
        gap: 20px;
        flex-wrap: wrap;
        padding: 20px;
      }
      
      .participant-card {
        background: #fff;
        border-radius: 10px;
        box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
        text-align: center;
        width: 250px;
        height: auto; 
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        padding: 10px;
        margin-bottom: 20px;
        box-sizing: border-box;
      }
      
      .participant-card:hover {
        transform: scale(1.05);
      }
      
      .participant-photo {
        border-radius: 10px;
        width: 100%;
        height: 70%;
        object-fit: cover;
      }
      
      .participant-info {
        font-family: Arial, sans-serif;
      }
      
      .participant-info h3 {
        font-size: 1.2em;
        margin: 10px 0;
      }
      
      .participant-info p {
        font-size: 0.9em;
        margin: 5px 0;
        color: #555;
      }
      
      .flag {
        width: 20px;
        height: 15px;
      }
      
      
      @media (max-width: 768px) {
        .participantes-container {
          justify-content: center; 
          padding: 10px;
        }
      
        .participant-card {
          width: 100%; 
          height: auto; 
          margin-bottom: 20px; 
        }
      
        .participant-photo {
          height: 60%; 
        }
      }
      
 .sponsors-section {
      width: 100%;
      margin: 0 auto;
      margin-top: 40px;
      margin-bottom: 80px;
      height: 100vh;
      overflow-y: auto; 
      background-size: cover; 
      background-position: top center;
      background-repeat: no-repeat;
      background-image: url('patrocinadoresG.webp'); 
  }

  /* Media Query para pantallas pequeas */
  @media (max-width: 768px) {
      .sponsors-section {
          margin-bottom: 80px;
          background-image: url('patrocinadoresMM.jpg'); 
          background-size: contain;
          background-position: top center; 
          overflow-y: scroll; 
          padding-top: 20px; /* Asegurar que haya espacio en la parte superior */
          padding-bottom: 20px;
      }
  }


.media-guidelines {
padding: 20px;
background-color: #ffffff;
font-family: 'Arial', sans-serif;
color: #333;
line-height: 1.6;
width: 100%;
margin-top: 40px;
margin-left: 40px;
margin-right: 40px;
margin-bottom: 80px;
height: 100vh; 
overflow-y: auto; 
}
.media-title {
font-size: 2rem;
font-weight: bold;
text-align: center;
margin-bottom: 20px;
color: #444;
}
.media-subtitle {
font-size: 1.5rem;
font-weight: bold;
margin: 15px 0;
color: #555;
}
.media-text {
font-size: 1rem;
margin-bottom: 15px;
text-align: justify;
}
.media-subsection-title {
font-size: 1.2rem;
font-weight: bold;
margin: 10px 0;
}
.media-text.highlight {
font-weight: bold;
color: #d9534f;
}
.calendar-section {
font-family: 'Arial', sans-serif;
width: 100%;
margin-top: 80px;
margin-left: 40px;
margin-right: 40px;
margin-bottom: 80px;
padding: 40px;
background-color: #f9f9f9;
border-radius: 8px;
box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
overflow: hidden;
padding-top: 20px;
overflow-y: auto;
height: 100vh; 
}
.calendar-section table {
width: 100%;
border-collapse: collapse;
text-align: left;
margin-bottom: 20px;
display: block;
overflow-x: auto;
}
.calendar-section th, .calendar-section td {
padding: 10px;
border-bottom: 1px solid #ddd;
color: #555;
}
.calendar-section th {
background-color: #007BFF;
color: white;
text-align: center;
}
.calendar-section h2 {
text-align: center;
margin-bottom: 20px;
color: #333;
}
@media (max-width: 400px) {
.hide-on-small-screens {
display: none;
}
}
@media (max-width: 600px) {
table.calendar {
display: block;
width: 100%;
}
table.calendar th,
table.calendar td {
display: block;
width: 100%;
}
table.calendar th {
background-color: #007BFF;
color: white;
}
table.calendar td {
border-bottom: 1px solid #ddd;
text-align: left;
padding: 10px 0;
}
table.calendar td span {
display: block;
font-weight: bold;
color: #333;
}
.calendar-section td {
display: flex;
flex-direction: column;
padding: 8px;
}
.calendar-section td:nth-child(1),
.calendar-section td:nth-child(2),
.calendar-section td:nth-child(3) {
flex: 1;
}
.calendar-section .hide-on-mobile {
display: none;
}
.hide-on-small-screens {
display: none;
}
}
.iframe-container {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100vw;
    height: 100vh;
    padding: 20px;
    box-sizing: border-box;
    }
    iframe {
    width: 100%;
    height: 100%;
    border: none;
    }
    @media (max-width: 768px) {
    iframe {
        max-width: 90%;
        max-height: 70%;
    }
    }
    @media (max-width: 480px) {
    iframe {
        max-width: 100%;
        max-height: 60%;
    }
}

.btn-google-form {
    display: inline-block;
    padding: 10px 20px;
    font-size: 16px;
    font-family: Arial, sans-serif;
    color: #fff;
    background-color: #4285f4;
    border: none;
    border-radius: 5px;
    text-decoration: none;
    text-align: center;
    cursor: pointer;
    transition: background-color 0.3s ease;
    }
.btn-google-form:hover {
background-color: #3367d6;
}
.block-title, .block-subtitle {
    display: block;
    margin: 0;
}
.custom-carousel-item {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100vh;
    text-align: center;
    background-color: #f0f0f0;
}
.custom-text-center {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.custom-title {
    margin: 0;
    font-size: 36px;
    color: #000;
}
.custom-subtitle {
    font-size: 18px;
    color: gray;
    margin: 0;
}
.division-line {
    height: 4px;
    background: linear-gradient(90deg, #00BFFF, #fc6900);
    border: none;
    margin: 0 auto;
    width: 80%;
    opacity: 0.7; 
}
.container {
    width: 100%;
    margin: 0 auto;
    padding: 20px;
    box-sizing: border-box;
    overflow-y: auto;
    height: 100vh;
}
.album-container {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: center;
    padding: 20px;
}

.album {
    width: 300px;
    background: #fff;
    border-radius: 12px;
    overflow: hidden;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s, box-shadow 0.3s;
    cursor: pointer;
    text-align: center;
}

.album:hover {
    transform: translateY(-5px);
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.2);
}

.album img {
    width: 100%;
    height: auto;
    display: block;
}

.album-title {
    padding: 10px;
    font-size: 16px;
    font-weight: bold;
    color: #333;
    background-color: #f0f0f0;
    text-align: center;
}
/* Swiper Modal */
.swiper-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.9);
    z-index: 1000;
    display: flex;
    align-items: center;
    justify-content: center; 
    padding: 5vh 0;
}
.swiper-slide {
    display: flex; 
    align-items: center;
    justify-content: center;
}
.swiper-slide img {
    max-width: 90%;
    max-height: 90%;
    object-fit: contain;
    margin: auto;
    border-radius: 8px;
}
.swiper-slide img {
    max-width: 100%; 
    max-height: 100vh;
    object-fit: contain;
    display: block;
    margin: 0 auto;
}
@media (max-width: 768px) {
    .album-container {
        gap: 10px;
    }

    .album {
        width: 100%;
    }

    .swiper-slide img {
        max-width: 100%;
        max-height: 100%;
        object-fit: contain;
        padding:20vh 0;
    }
}
.close-btn {
    position: fixed;
    top: 20px;
    right: 20px;
    background-color: #fc6900;
    color: rgb(255, 255, 255);
    border: none;
    width: 40px;
    height: 40px;
    font-size: 20px;
    text-align: center;
    line-height: 40px;
    cursor: pointer;
    border-radius: 50%;
    z-index: 1100;
}
.swiper-button-next:hover,
.swiper-button-prev:hover {
    background: #fffbfb5b;
}
.video-container {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px; 
}

.video-container video {
    width: 100%; 
    max-width: 100%; 
    aspect-ratio: 16 / 9;
    object-fit: cover;
    border-radius: 8px; 
}


@media (max-width: 768px) {
    .video-container {
        padding: 5px; 
    }
    
    .video-container video {
        border-radius: 6px; 
    }
}

.tabla-clasificacion {
    width: 100%;
    border-collapse: collapse;
    table-layout: fixed; 
}

.tabla-clasificacion tbody tr {
    border-bottom: 2px solid #ddd;
}

.tabla-clasificacion td {
    padding: 10px;
    vertical-align: middle;
    white-space: nowrap;
    text-align: center; 
}


.tabla-clasificacion td:first-child {
    font-weight: bold;
    font-size: 24px;
    color: #0056b3;
    width: 60px; 
}


.foto-clasificacion {
    width: 130px; 
    height: 130px;
    border-radius: 50%;
    object-fit: contain; 
    background-color: white; 
}

.nombre-pais {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

.nombre-participante {
    font-weight: bold;
    font-size: 16px;
    text-transform: uppercase;
    color: #0056b3;
}

.pais {
    display: flex;
    align-items: center;
    justify-content: center; 
    gap: 5px;
    font-weight: bold;
    font-size: 14px;
    
}

.tabla-clasificacion td {
    vertical-align: middle; 
}

.flag {
    width: 25px;
    height: 15px;
}


.tiempo {
    font-size: 16px;
    font-weight: bold;
}
@media (max-width: 768px) { 
    .fila-clasificacion {
        display: flex;
        align-items: center;
        gap: 10px;
        flex-wrap: nowrap; 
    }

    .puesto {
        order: -1; 
        font-size: 20px; 
        width: auto; 
    }

    .participante {
        flex-direction: row;
        align-items: center;
        gap: 10px;
    }

    .tabla-clasificacion td {
        display: flex;
        align-items: center;
        justify-content: flex-start;
    }
}
.galeria {
    text-align: center;
}
.galeria-botones {
    display: flex;
    justify-content: center;
    gap: 8px;
    margin-bottom: 12px;
}

.galeria-botones button {
    padding: 12px 24px;
    font-size: 16px;
    border: none;
    border-radius: 15px;
    background: #f0f0f0;
    color: #333;
    cursor: pointer;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.2);
    transition: background 0.3s, box-shadow 0.3s;
}
.galeria-botones button:hover {
    background: #e0e0e0;
    box-shadow: 3px 3px 6px rgba(0, 0, 0, 0.3);
}
.seccion-videos {
    display: flex;
    margin-top: 20PX;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: center;
}
.video-item {
    width: 250px;
    cursor: pointer;
}
.video-item video {
    width: 100%;
    border-radius: 8px;
    background: transparent;
}
.modal-nuevagaleria {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8);
    justify-content: center;
    align-items: center;
}
.cerrar-nuevagaleria {
    position: fixed;
    top: 20px;
    right: 20px;
    background-color: #fc6900;
    color: rgb(255, 255, 255);
    border: none;
    width: 40px;
    height: 40px;
    font-size: 20px;
    text-align: center;
    line-height: 40px;
    cursor: pointer;
    border-radius: 50%;
    z-index: 1100;
}
#video-modal-nuevagaleria {
    max-width: 90%;
    max-height: 90%;
}

@media (max-width: 768px) {
    .seccion-videos {
        flex-direction: column;
        align-items: center;
    }
    .video-item {
        width: 80%;
    }
    .galeria-botones {
        flex-direction: column;
        gap: 5px;
    }
}
@media (max-width: 768px) {
    .galeria-botones button {
        padding: 8px 16px;  
        font-size: 14px;   
    }
}